Summary:   ProFTPD -- Professional FTP Server.
Name:      proftpd
Version:   1.2.1
Release:   C1
Source:    ftp://ftp.tos.net/pub/proftpd/%{name}-%{version}.tar.gz
Source1:   proftpd.log
Copyright: GPL
Group:     System Environment/Daemons
Patch0:	   proftpd-1.2.1-glibc.patch
Requires:  pam >= 0.59
Provides:  ftpserver
Prereq:    fileutils
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
ProFTPD is an enhanced FTP server with a focus toward simplicity, security,
and ease of configuration.  It features a very Apache-like configuration
syntax, and a highly customizable server infrastructure, including support for
multiple 'virtual' FTP servers, anonymous FTP, and permission-based directory
visibility.

%prep
%setup -q

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var/run --disable-sendfile
#
%patch0 -p1


%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr localstatedir=$RPM_BUILD_ROOT/var/run rundir=$RPM_BUILD_ROOT/var/run/proftpd install
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/proftpd
touch $RPM_BUILD_ROOT/etc/ftpusers

%post

# Look if there is already an entry for 'ftp' service even when commented.
grep '^[#[:space:]]*ftp' /etc/inetd.conf > /dev/null
errcode=$?
if [ $errcode -eq 0 ]; then
# Found, replace the 'in.ftpd' with 'in.proftpd'
	tmpfile=/tmp/proftpd-inetd.$$
	sed	-e '/^[#[:space:]]*ftp/{' \
		-e 's^in.ftpd.*$^in.proftpd^' \
		-e '}' \
		/etc/inetd.conf \
	> $tmpfile
	mv $tmpfile /etc/inetd.conf
else
# Not found, append a new entry.
	echo 'ftp      stream  tcp     nowait  root    /usr/sbin/tcpd  in.proftpd' >> /etc/inetd.conf
fi
# Reread 'inetd.conf' file.
# killall -HUP inetd || :

%preun
if [ $1 = 0 ]; then
    if [ -d /var/run/proftpd ]; then
	rm -rf /var/run/proftpd/*
    fi
fi

%postun
if [ $1 = 0 ]; then
    if [ -d /var/run/proftpd ]; then
	rm -rf /var/run/proftpd
    fi

    # Remove ProFTPD entry from /etc/inetd.conf
    tmpfile=/tmp/proftpd-inetd.$$
    sed -e '/^.*proftpd.*$/d' /etc/inetd.conf > $tmpfile
    mv $tmpfile /etc/inetd.conf
#    killall -HUP inetd || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,man) /usr/man/*/*
%doc README README.* doc/*
%doc contrib/README contrib/README.* contrib/xferstats.holger-preiss
%doc sample-configurations/*
%config(noreplace) /etc/logrotate.d/proftpd
%config(noreplace) /etc/ftpusers
/usr/sbin/*
/usr/bin/*

%dir /var/run/proftpd

%changelog
* Fri Mar 3 2001 Jeff Lovell <jlovell@sun.com>
- updated to 1.2.1

* Wed Feb 7 2001 Jeff Lovell <jlovell@sun.com>
- rc3

* Thu Aug 31 2000 Brenda Mula <bmula@cobalt.com>
- Add new mod_xfer patch since some clients have
- problems.

* Wed Aug 30 2000 Brenda Mula <bmula@cobalt.com>
- rc2
- Got latest version, rc1 had problems with chmod 

* Thu Jul 13 2000 Brenda Mula <bmula@cobalt.com>
- rc1
- Got latest version no longer need to do mod_xfer.patch

* Thu Jan 21 2000 Jeff Bilicki <jeffb@cobalt.com>
- pre9-C7 
- pre10 did not do groups/subdirs correctly, fixed logrotate entry

* Wed Jan 12 2000 Jeff Bilicki <jeffb@cobalt.com>
- pre9-C6
- added proftpd-1.2.0pre9-pwgrent.patch
- removed mod_linuxprivs:mod_ratio

* Wed Dec 15 1999 Jeff Lovell <jlovell@cobalt.com>
- pre9-C5
- disabled sendfile to speed up gets
- added mod_xfer.c.patch to fix have_sendfile decleration

* Wed Dec 15 1999 Jeff Bilicki <jeffb@cobalt.com>
- pre9-C4
- Added patch to fix bug in fgetgrent (glibc)
- Now uses internal function calls

* Tue Dec 14 1999 Jeff Lovell <jlovell@cobalt.com>
- 1.2.0pre9-C1
- CVS snapshot to fix y2k logging issues

* Wed Nov 9 1999 Duncan Laurie <duncan@cobalt.com>
- C5
- killall doesn't exist on new systems, don't try and call it

* Sun Sep 19 1999 Timothy Stonis <tim@cobaltnet.com>

 -C4 -> fix logrotate so missing log is okay

* Tue Sep 14 1999 Timothy Stonis <tim@cobaltnet.com>
-Fix log rotate typo

* Tue Sep 14 1999 Duncan Laurie <duncan@cobaltnet.com>
- 1.2.0pre6-C2
- fix proftpd.conf location

* Sat Sep 11 1999 Duncan Laurie <duncan@cobaltnet.com>
- 1.2.0pre6-C1
- remove proftpd.conf from this rpm
- put in logrotate configuration fro harris

* Sat Jul 24 1999 MacGyver <macgyver@tos.net>
  Initial import of spec.

